import { ButtonHTMLAttributes, PropsWithChildren } from 'react';
interface Props extends PropsWithChildren, ButtonHTMLAttributes<{}> {
    active?: boolean;
}
export declare const UIButton: import('react').ForwardRefExoticComponent<Props & import('react').RefAttributes<HTMLButtonElement>> | ((props: Props & {
    ref?: import('react').Ref<HTMLButtonElement> | undefined;
}) => import('react').ReactNode);
export {};
